summaryrefslogtreecommitdiff
path: root/tests/guix-package-net.sh
diff options
context:
space:
mode:
authorLudovic Courtès <ludo@gnu.org>2015-04-08 10:20:25 +0200
committerLudovic Courtès <ludo@gnu.org>2015-04-08 10:20:59 +0200
commit0b131612d5f0387eb68da4ac49a384c57ca78851 (patch)
tree647a1424e15e076c79266d6de373879511293275 /tests/guix-package-net.sh
parentd525da858da26aa47fd3a931dad9bac2fefe7600 (diff)
downloadpatches-0b131612d5f0387eb68da4ac49a384c57ca78851.tar
patches-0b131612d5f0387eb68da4ac49a384c57ca78851.tar.gz
tests: Skip 'guix-package-net.sh' when prerequisites aren't met.
* tests/guix-package-net.sh: Reinstate networking and shebang test that inadvertently vanished in commit 57b8623.
Diffstat (limited to 'tests/guix-package-net.sh')
-rw-r--r--tests/guix-package-net.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/guix-package-net.sh b/tests/guix-package-net.sh
index cedfa3217b..cf3233bee2 100644
--- a/tests/guix-package-net.sh
+++ b/tests/guix-package-net.sh
@@ -37,6 +37,14 @@ shebang_too_long ()
-ge 128
}
+if ! guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null \
+ || shebang_too_long
+then
+ # Skipping.
+ exit 77
+fi
+
+
profile="t-profile-$$"
rm -f "$profile"